package com.yifu.cloud.plus.v1.yifu.insurances.mapper.insurances;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceAlert;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.InsuranceAlertWx;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.TInsuranceAlertExportVO;
import com.yifu.cloud.plus.v1.yifu.insurances.vo.TInsuranceAlertSearchVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author huych
 * @description 针对表【t_insurance_alert(商险到期提醒表)】的数据库操作Mapper
 * @date 2024-08-26 14:20:16
 */
@Mapper
public interface TInsuranceWarnMapper extends BaseMapper<TInsuranceAlert> {

	IPage<TInsuranceAlert> getTInsuranceAlertPage(Page<TInsuranceAlert> page, @Param("tInsuranceAlert") TInsuranceAlertSearchVo tInsuranceAlert);

	List<TInsuranceAlert> getTInsuranceAlertList2000(@Param("tInsuranceAlert") TInsuranceAlertSearchVo tInsuranceAlert);

	int getTInsuranceAlertExportCount(@Param("tInsuranceAlert") TInsuranceAlertSearchVo tInsuranceAlert);

	List<TInsuranceAlertExportVO> getTInsuranceAlertExport(@Param("tInsuranceAlert") TInsuranceAlertSearchVo tInsuranceAlert);

	/**
	 * 查询商险到期提醒信息
	 *
	 * @author huych
	 * @return {@link List <  TInsuranceAlert >}
	 */
	List<TInsuranceAlert> selectInsuranceAlert();

    List<InsuranceAlertWx> getInsuranceAlertToWx();

	List<TInsuranceAlert> selectInsuranceAlertIgnore();

	// 查找ID与状态，用作忽略等
	List<TInsuranceAlert> selectInsuranceAlertList(@Param("idList") List<String> idList);
	// 查找ID与状态，用作确认等（与忽略不同的地方：返回的ID不同，更新不同的表数据
	List<TInsuranceAlert> selectInsuranceAlertListBySure(@Param("idList") List<String> idList);
	TInsuranceAlert selectInsuranceAlertOne(@Param("id") String id);

}
